
Source:
https://gitlab.com/redhat/centos-stream/rpms/perl-Crypt-OpenSSL-RSA/-/blob/c9s/perl-Crypt-OpenSSL-RSA-openssl30.patch


diff --git a/README b/README
index c7d4bb7..3da6d1d 100644
--- a/README
+++ b/README
@@ -10,7 +10,6 @@ SYNOPSIS
       Crypt::OpenSSL::Random::random_seed($good_entropy);
       Crypt::OpenSSL::RSA->import_random_seed();
       $rsa_pub = Crypt::OpenSSL::RSA->new_public_key($key_string);
-      $rsa_pub->use_sslv23_padding(); # use_pkcs1_oaep_padding is the default
       $ciphertext = $rsa->encrypt($plaintext);
 
       $rsa_priv = Crypt::OpenSSL::RSA->new_private_key($key_string);
@@ -140,10 +139,6 @@ Instance Methods
         all new applications. It is the default mode used by
         "Crypt::OpenSSL::RSA".
 
-    use_sslv23_padding
-        Use PKCS #1 v1.5 padding with an SSL-specific modification that
-        denotes that the server is SSL3 capable.
-
     use_md5_hash
         Use the RFC 1321 MD5 hashing algorithm by Ron Rivest when signing
         and verifying messages.
@@ -168,7 +163,7 @@ Instance Methods
         pkcs1_oaep_padding
             at most 42 bytes less than this size.
 
-        pkcs1_padding or sslv23_padding
+        pkcs1_padding
             at most 11 bytes less than this size.
 
         no_padding
diff --git a/RSA.pm b/RSA.pm
index 31e6949..1b63e99 100644
--- a/RSA.pm
+++ b/RSA.pm
@@ -34,8 +34,7 @@ Crypt::OpenSSL::RSA - RSA encoding and decoding, using the openSSL libraries
   Crypt::OpenSSL::Random::random_seed($good_entropy);
   Crypt::OpenSSL::RSA->import_random_seed();
   $rsa_pub = Crypt::OpenSSL::RSA->new_public_key($key_string);
-  $rsa_pub->use_sslv23_padding(); # use_pkcs1_oaep_padding is the default
-  $ciphertext = $rsa->encrypt($plaintext);
+    $ciphertext = $rsa->encrypt($plaintext);
 
   $rsa_priv = Crypt::OpenSSL::RSA->new_private_key($key_string);
   $plaintext = $rsa->encrypt($ciphertext);
@@ -220,11 +219,6 @@ an empty encoding parameter. This mode of padding is recommended for
 all new applications.  It is the default mode used by
 C<Crypt::OpenSSL::RSA>.
 
-=item use_sslv23_padding
-
-Use C<PKCS #1 v1.5> padding with an SSL-specific modification that
-denotes that the server is SSL3 capable.
-
 =item use_md5_hash
 
 Use the RFC 1321 MD5 hashing algorithm by Ron Rivest when signing and
@@ -267,7 +261,7 @@ the text to be encrypted should be:
 
 at most 42 bytes less than this size.
 
-=item pkcs1_padding or sslv23_padding
+=item pkcs1_padding
 
 at most 11 bytes less than this size.
 
diff --git a/RSA.xs b/RSA.xs
index d474d11..711e4e7 100644
--- a/RSA.xs
+++ b/RSA.xs
@@ -640,12 +640,6 @@ use_pkcs1_oaep_padding(p_rsa)
   CODE:
     p_rsa->padding = RSA_PKCS1_OAEP_PADDING;
 
-void
-use_sslv23_padding(p_rsa)
-    rsaData* p_rsa;
-  CODE:
-    p_rsa->padding = RSA_SSLV23_PADDING;
-
 # Sign text. Returns the signature.
 
 SV*
